port: 7890
socks-port: 7891
allow-lan: true
mode: Rule
log-level: info
external-controller: 127.0.0.1:9090
proxies:
  - {name: hk_NiREvil_2_1, server: 223.16.138.113, port: 10002, type: trojan, password: e7db700c-d6b5-4321-99cb-a343a7660f71, sni: trojan.1985.de5.net, network: ws, ws-opts: {path: "/?ed=2560&PROXYIP=219.76.13.169:443", headers: {Host: trojan.1985.de5.net}}}
  - {name: hk_NiREvil_1, server: 118.141.64.192, port: 36619, type: trojan, password: e7db700c-d6b5-4321-99cb-a343a7660f71, sni: trojan.1985.de5.net, network: ws, ws-opts: {path: "/?ed=2560&PROXYIP=219.76.13.169:443", headers: {Host: trojan.1985.de5.net}}}
  - {name: hk_NiREvil, server: 210.3.159.133, port: 443, type: trojan, password: e7db700c-d6b5-4321-99cb-a343a7660f71, sni: trojan.1985.de5.net, network: ws, ws-opts: {path: "/?ed=2560&PROXYIP=219.76.13.169:443", headers: {Host: trojan.1985.de5.net}}}
  - {name: hk_Exball, server: 8.217.141.15, port: 2333, type: trojan, password: e7db700c-d6b5-4321-99cb-a343a7660f71, sni: trojan.1985.de5.net, network: ws, ws-opts: {path: "/?ed=2560&PROXYIP=219.76.13.169:443", headers: {Host: trojan.1985.de5.net}}}
  - {name: hk_Exball 2, server: 156.255.89.234, port: 20520, type: trojan, password: e7db700c-d6b5-4321-99cb-a343a7660f71, sni: trojan.1985.de5.net, network: ws, ws-opts: {path: "/?ed=2560&PROXYIP=219.76.13.169:443", headers: {Host: trojan.1985.de5.net}}}
  - {name: hk_Exball_1, server: 159.138.52.204, port: 30101, type: trojan, password: e7db700c-d6b5-4321-99cb-a343a7660f71, sni: trojan.1985.de5.net, network: ws, ws-opts: {path: "/?ed=2560&PROXYIP=219.76.13.169:443", headers: {Host: trojan.1985.de5.net}}}
  - {name: hk_Exball 3, server: 83.229.123.194, port: 35134, type: trojan, password: e7db700c-d6b5-4321-99cb-a343a7660f71, sni: trojan.1985.de5.net, network: ws, ws-opts: {path: "/?ed=2560&PROXYIP=219.76.13.169:443", headers: {Host: trojan.1985.de5.net}}}
  - {name: hk_Exball 4, server: 43.135.30.215, port: 5700, type: trojan, password: e7db700c-d6b5-4321-99cb-a343a7660f71, sni: trojan.1985.de5.net, network: ws, ws-opts: {path: "/?ed=2560&PROXYIP=219.76.13.169:443", headers: {Host: trojan.1985.de5.net}}}
  - {name: hk_Exball 5, server: 38.207.132.101, port: 443, type: trojan, password: e7db700c-d6b5-4321-99cb-a343a7660f71, sni: trojan.1985.de5.net, network: ws, ws-opts: {path: "/?ed=2560&PROXYIP=219.76.13.169:443", headers: {Host: trojan.1985.de5.net}}}
  - {name: jp_NiREvil_1, server: 185.18.222.208, port: 2053, type: trojan, password: e7db700c-d6b5-4321-99cb-a343a7660f71, sni: trojan.1985.de5.net, network: ws, ws-opts: {path: "/?ed=2560&PROXYIP=18.183.158.211:443", headers: {Host: trojan.1985.de5.net}}}
  - {name: jp_NiREvil_1 2, server: 109.123.231.212, port: 2053, type: trojan, password: e7db700c-d6b5-4321-99cb-a343a7660f71, sni: trojan.1985.de5.net, network: ws, ws-opts: {path: "/?ed=2560&PROXYIP=18.183.158.211:443", headers: {Host: trojan.1985.de5.net}}}
  - {name: jp_NiREvil, server: 158.101.77.33, port: 443, type: trojan, password: e7db700c-d6b5-4321-99cb-a343a7660f71, sni: trojan.1985.de5.net, network: ws, ws-opts: {path: "/?ed=2560&PROXYIP=18.183.158.211:443", headers: {Host: trojan.1985.de5.net}}}
  - {name: jp_NiREvil 2, server: 8.216.121.234, port: 51922, type: trojan, password: e7db700c-d6b5-4321-99cb-a343a7660f71, sni: trojan.1985.de5.net, network: ws, ws-opts: {path: "/?ed=2560&PROXYIP=18.183.158.211:443", headers: {Host: trojan.1985.de5.net}}}
  - {name: jp_NiREvil 3, server: 158.101.80.84, port: 443, type: trojan, password: e7db700c-d6b5-4321-99cb-a343a7660f71, sni: trojan.1985.de5.net, network: ws, ws-opts: {path: "/?ed=2560&PROXYIP=18.183.158.211:443", headers: {Host: trojan.1985.de5.net}}}
  - {name: jp_NiREvil 4, server: 23.106.132.54, port: 443, type: trojan, password: e7db700c-d6b5-4321-99cb-a343a7660f71, sni: trojan.1985.de5.net, network: ws, ws-opts: {path: "/?ed=2560&PROXYIP=18.183.158.211:443", headers: {Host: trojan.1985.de5.net}}}
  - {name: jp_NiREvil 5, server: 138.2.12.103, port: 14453, type: trojan, password: e7db700c-d6b5-4321-99cb-a343a7660f71, sni: trojan.1985.de5.net, network: ws, ws-opts: {path: "/?ed=2560&PROXYIP=18.183.158.211:443", headers: {Host: trojan.1985.de5.net}}}
  - {name: jp_Exball, server: 172.104.110.10, port: 14673, type: trojan, password: e7db700c-d6b5-4321-99cb-a343a7660f71, sni: trojan.1985.de5.net, network: ws, ws-opts: {path: "/?ed=2560&PROXYIP=18.183.158.211:443", headers: {Host: trojan.1985.de5.net}}}
  - {name: jp_Exball 2, server: 47.79.94.154, port: 13888, type: trojan, password: e7db700c-d6b5-4321-99cb-a343a7660f71, sni: trojan.1985.de5.net, network: ws, ws-opts: {path: "/?ed=2560&PROXYIP=18.183.158.211:443", headers: {Host: trojan.1985.de5.net}}}
  - {name: jp_Exball 3, server: 192.243.127.224, port: 443, type: trojan, password: e7db700c-d6b5-4321-99cb-a343a7660f71, sni: trojan.1985.de5.net, network: ws, ws-opts: {path: "/?ed=2560&PROXYIP=18.183.158.211:443", headers: {Host: trojan.1985.de5.net}}}
  - {name: jp_Exball 4, server: 141.147.170.245, port: 34237, type: trojan, password: e7db700c-d6b5-4321-99cb-a343a7660f71, sni: trojan.1985.de5.net, network: ws, ws-opts: {path: "/?ed=2560&PROXYIP=18.183.158.211:443", headers: {Host: trojan.1985.de5.net}}}
  - {name: jp_Exball 5, server: 168.138.203.197, port: 30011, type: trojan, password: e7db700c-d6b5-4321-99cb-a343a7660f71, sni: trojan.1985.de5.net, network: ws, ws-opts: {path: "/?ed=2560&PROXYIP=18.183.158.211:443", headers: {Host: trojan.1985.de5.net}}}
  - {name: kr_NiREvil, server: 39.116.217.120, port: 50001, type: trojan, password: e7db700c-d6b5-4321-99cb-a343a7660f71, sni: trojan.1985.de5.net, network: ws, ws-opts: {path: "/?ed=2560&PROXYIP=52.141.25.42:443", headers: {Host: trojan.1985.de5.net}}}
  - {name: kr_NiREvil 2, server: 150.109.236.191, port: 25565, type: trojan, password: e7db700c-d6b5-4321-99cb-a343a7660f71, sni: trojan.1985.de5.net, network: ws, ws-opts: {path: "/?ed=2560&PROXYIP=52.141.25.42:443", headers: {Host: trojan.1985.de5.net}}}
  - {name: kr_NiREvil 3, server: 211.197.161.123, port: 10041, type: trojan, password: e7db700c-d6b5-4321-99cb-a343a7660f71, sni: trojan.1985.de5.net, network: ws, ws-opts: {path: "/?ed=2560&PROXYIP=52.141.25.42:443", headers: {Host: trojan.1985.de5.net}}}
  - {name: kr_NiREvil 4, server: 112.184.94.152, port: 50001, type: trojan, password: e7db700c-d6b5-4321-99cb-a343a7660f71, sni: trojan.1985.de5.net, network: ws, ws-opts: {path: "/?ed=2560&PROXYIP=52.141.25.42:443", headers: {Host: trojan.1985.de5.net}}}
  - {name: kr_NiREvil 5, server: 221.161.207.216, port: 50001, type: trojan, password: e7db700c-d6b5-4321-99cb-a343a7660f71, sni: trojan.1985.de5.net, network: ws, ws-opts: {path: "/?ed=2560&PROXYIP=52.141.25.42:443", headers: {Host: trojan.1985.de5.net}}}
  - {name: kr_NiREvil 6, server: 106.245.165.137, port: 50001, type: trojan, password: e7db700c-d6b5-4321-99cb-a343a7660f71, sni: trojan.1985.de5.net, network: ws, ws-opts: {path: "/?ed=2560&PROXYIP=52.141.25.42:443", headers: {Host: trojan.1985.de5.net}}}
  - {name: sg_NiREvil_3, server: 152.42.236.151, port: 2053, type: trojan, password: e7db700c-d6b5-4321-99cb-a343a7660f71, sni: trojan.1985.de5.net, network: ws, ws-opts: {path: "/?ed=2560&PROXYIP=154.19.242.205:443", headers: {Host: trojan.1985.de5.net}}}
  - {name: sg_NiREvil, server: 104.43.91.69, port: 443, type: trojan, password: e7db700c-d6b5-4321-99cb-a343a7660f71, sni: trojan.1985.de5.net, network: ws, ws-opts: {path: "/?ed=2560&PROXYIP=154.19.242.205:443", headers: {Host: trojan.1985.de5.net}}}
  - {name: sg_NiREvil 2, server: 139.180.159.133, port: 443, type: trojan, password: e7db700c-d6b5-4321-99cb-a343a7660f71, sni: trojan.1985.de5.net, network: ws, ws-opts: {path: "/?ed=2560&PROXYIP=154.19.242.205:443", headers: {Host: trojan.1985.de5.net}}}
  - {name: sg_NiREvil_1, server: 8.222.220.81, port: 25435, type: trojan, password: e7db700c-d6b5-4321-99cb-a343a7660f71, sni: trojan.1985.de5.net, network: ws, ws-opts: {path: "/?ed=2560&PROXYIP=154.19.242.205:443", headers: {Host: trojan.1985.de5.net}}}
  - {name: sg_NiREvil 3, server: 139.162.4.242, port: 8443, type: trojan, password: e7db700c-d6b5-4321-99cb-a343a7660f71, sni: trojan.1985.de5.net, network: ws, ws-opts: {path: "/?ed=2560&PROXYIP=154.19.242.205:443", headers: {Host: trojan.1985.de5.net}}}
  - {name: sg_NiREvil 4, server: 20.247.137.183, port: 443, type: trojan, password: e7db700c-d6b5-4321-99cb-a343a7660f71, sni: trojan.1985.de5.net, network: ws, ws-opts: {path: "/?ed=2560&PROXYIP=154.19.242.205:443", headers: {Host: trojan.1985.de5.net}}}
  - {name: sg_NiREvil 5, server: 167.71.198.82, port: 8443, type: trojan, password: e7db700c-d6b5-4321-99cb-a343a7660f71, sni: trojan.1985.de5.net, network: ws, ws-opts: {path: "/?ed=2560&PROXYIP=154.19.242.205:443", headers: {Host: trojan.1985.de5.net}}}
  - {name: sg_Exball, server: 47.237.31.198, port: 32222, type: trojan, password: e7db700c-d6b5-4321-99cb-a343a7660f71, sni: trojan.1985.de5.net, network: ws, ws-opts: {path: "/?ed=2560&PROXYIP=154.19.242.205:443", headers: {Host: trojan.1985.de5.net}}}
  - {name: sg_Exball 2, server: 8.219.243.83, port: 18377, type: trojan, password: e7db700c-d6b5-4321-99cb-a343a7660f71, sni: trojan.1985.de5.net, network: ws, ws-opts: {path: "/?ed=2560&PROXYIP=154.19.242.205:443", headers: {Host: trojan.1985.de5.net}}}
  - {name: sg_Exball 3, server: 129.150.50.144, port: 42956, type: trojan, password: e7db700c-d6b5-4321-99cb-a343a7660f71, sni: trojan.1985.de5.net, network: ws, ws-opts: {path: "/?ed=2560&PROXYIP=154.19.242.205:443", headers: {Host: trojan.1985.de5.net}}}
  - {name: us_NiREvil_1, server: 72.18.83.132, port: 16232, type: trojan, password: e7db700c-d6b5-4321-99cb-a343a7660f71, sni: trojan.1985.de5.net, network: ws, ws-opts: {path: "/?ed=2560&PROXYIP=91.149.239.64:443", headers: {Host: trojan.1985.de5.net}}}
  - {name: us_NiREvil_1 2, server: 45.156.24.61, port: 2053, type: trojan, password: e7db700c-d6b5-4321-99cb-a343a7660f71, sni: trojan.1985.de5.net, network: ws, ws-opts: {path: "/?ed=2560&PROXYIP=91.149.239.64:443", headers: {Host: trojan.1985.de5.net}}}
  - {name: us_NiREvil_1 3, server: 45.32.131.28, port: 31001, type: trojan, password: e7db700c-d6b5-4321-99cb-a343a7660f71, sni: trojan.1985.de5.net, network: ws, ws-opts: {path: "/?ed=2560&PROXYIP=91.149.239.64:443", headers: {Host: trojan.1985.de5.net}}}
  - {name: us_NiREvil, server: 104.42.105.148, port: 2087, type: trojan, password: e7db700c-d6b5-4321-99cb-a343a7660f71, sni: trojan.1985.de5.net, network: ws, ws-opts: {path: "/?ed=2560&PROXYIP=91.149.239.64:443", headers: {Host: trojan.1985.de5.net}}}
  - {name: us_NiREvil 2, server: 74.48.136.105, port: 16004, type: trojan, password: e7db700c-d6b5-4321-99cb-a343a7660f71, sni: trojan.1985.de5.net, network: ws, ws-opts: {path: "/?ed=2560&PROXYIP=91.149.239.64:443", headers: {Host: trojan.1985.de5.net}}}
  - {name: us_NiREvil 3, server: 148.135.118.112, port: 5000, type: trojan, password: e7db700c-d6b5-4321-99cb-a343a7660f71, sni: trojan.1985.de5.net, network: ws, ws-opts: {path: "/?ed=2560&PROXYIP=91.149.239.64:443", headers: {Host: trojan.1985.de5.net}}}
  - {name: us_NiREvil 4, server: 154.9.227.100, port: 443, type: trojan, password: e7db700c-d6b5-4321-99cb-a343a7660f71, sni: trojan.1985.de5.net, network: ws, ws-opts: {path: "/?ed=2560&PROXYIP=91.149.239.64:443", headers: {Host: trojan.1985.de5.net}}}
  - {name: us_NiREvil 5, server: 192.227.237.81, port: 443, type: trojan, password: e7db700c-d6b5-4321-99cb-a343a7660f71, sni: trojan.1985.de5.net, network: ws, ws-opts: {path: "/?ed=2560&PROXYIP=91.149.239.64:443", headers: {Host: trojan.1985.de5.net}}}
  - {name: us_NiREvil 6, server: 144.34.230.39, port: 443, type: trojan, password: e7db700c-d6b5-4321-99cb-a343a7660f71, sni: trojan.1985.de5.net, network: ws, ws-opts: {path: "/?ed=2560&PROXYIP=91.149.239.64:443", headers: {Host: trojan.1985.de5.net}}}
  - {name: us_NiREvil 7, server: 104.225.153.70, port: 443, type: trojan, password: e7db700c-d6b5-4321-99cb-a343a7660f71, sni: trojan.1985.de5.net, network: ws, ws-opts: {path: "/?ed=2560&PROXYIP=91.149.239.64:443", headers: {Host: trojan.1985.de5.net}}}
  - {name: us_NiREvil 8, server: 104.224.181.22, port: 443, type: trojan, password: e7db700c-d6b5-4321-99cb-a343a7660f71, sni: trojan.1985.de5.net, network: ws, ws-opts: {path: "/?ed=2560&PROXYIP=91.149.239.64:443", headers: {Host: trojan.1985.de5.net}}}
  - {name: us_NiREvil 9, server: 91.236.230.237, port: 443, type: trojan, password: e7db700c-d6b5-4321-99cb-a343a7660f71, sni: trojan.1985.de5.net, network: ws, ws-opts: {path: "/?ed=2560&PROXYIP=91.149.239.64:443", headers: {Host: trojan.1985.de5.net}}}
  - {name: us_NiREvil 10, server: 65.49.210.99, port: 443, type: trojan, password: e7db700c-d6b5-4321-99cb-a343a7660f71, sni: trojan.1985.de5.net, network: ws, ws-opts: {path: "/?ed=2560&PROXYIP=91.149.239.64:443", headers: {Host: trojan.1985.de5.net}}}
  - {name: us_NiREvil_84, server: 142.171.220.62, port: 16006, type: trojan, password: e7db700c-d6b5-4321-99cb-a343a7660f71, sni: trojan.1985.de5.net, network: ws, ws-opts: {path: "/?ed=2560&PROXYIP=91.149.239.64:443", headers: {Host: trojan.1985.de5.net}}}
  - {name: us_NiREvil 11, server: 154.40.46.28, port: 46757, type: trojan, password: e7db700c-d6b5-4321-99cb-a343a7660f71, sni: trojan.1985.de5.net, network: ws, ws-opts: {path: "/?ed=2560&PROXYIP=91.149.239.64:443", headers: {Host: trojan.1985.de5.net}}}
  - {name: us_NiREvil 12, server: 154.21.90.8, port: 2443, type: trojan, password: e7db700c-d6b5-4321-99cb-a343a7660f71, sni: trojan.1985.de5.net, network: ws, ws-opts: {path: "/?ed=2560&PROXYIP=91.149.239.64:443", headers: {Host: trojan.1985.de5.net}}}
  - {name: us_NiREvil 13, server: 65.49.192.12, port: 443, type: trojan, password: e7db700c-d6b5-4321-99cb-a343a7660f71, sni: trojan.1985.de5.net, network: ws, ws-opts: {path: "/?ed=2560&PROXYIP=91.149.239.64:443", headers: {Host: trojan.1985.de5.net}}}
  - {name: us_NiREvil 14, server: 65.49.216.135, port: 8443, type: trojan, password: e7db700c-d6b5-4321-99cb-a343a7660f71, sni: trojan.1985.de5.net, network: ws, ws-opts: {path: "/?ed=2560&PROXYIP=91.149.239.64:443", headers: {Host: trojan.1985.de5.net}}}
  - {name: us_NiREvil_1 4, server: 152.70.143.175, port: 29187, type: trojan, password: e7db700c-d6b5-4321-99cb-a343a7660f71, sni: trojan.1985.de5.net, network: ws, ws-opts: {path: "/?ed=2560&PROXYIP=91.149.239.64:443", headers: {Host: trojan.1985.de5.net}}}
  - {name: us_Exball, server: 142.171.85.230, port: 28034, type: trojan, password: e7db700c-d6b5-4321-99cb-a343a7660f71, sni: trojan.1985.de5.net, network: ws, ws-opts: {path: "/?ed=2560&PROXYIP=91.149.239.64:443", headers: {Host: trojan.1985.de5.net}}}
  - {name: ca_NiREvil, server: 89.251.9.5, port: 8443, type: trojan, password: e7db700c-d6b5-4321-99cb-a343a7660f71, sni: trojan.1985.de5.net, network: ws, ws-opts: {path: "/?ed=2560&PROXYIP=91.149.239.64:443", headers: {Host: trojan.1985.de5.net}}}
  - {name: ca_NiREvil 2, server: 185.36.228.14, port: 8443, type: trojan, password: e7db700c-d6b5-4321-99cb-a343a7660f71, sni: trojan.1985.de5.net, network: ws, ws-opts: {path: "/?ed=2560&PROXYIP=91.149.239.64:443", headers: {Host: trojan.1985.de5.net}}}
  - {name: ca, server: 104.16.245.77, port: 443, type: trojan, password: e7db700c-d6b5-4321-99cb-a343a7660f71, sni: trojan.1985.de5.net, network: ws, ws-opts: {path: "/?ed=2560&PROXYIP=91.149.239.64:443", headers: {Host: trojan.1985.de5.net}}}
  - {name: ca_1, server: 104.16.246.188, port: 443, type: trojan, password: e7db700c-d6b5-4321-99cb-a343a7660f71, sni: trojan.1985.de5.net, network: ws, ws-opts: {path: "/?ed=2560&PROXYIP=91.149.239.64:443", headers: {Host: trojan.1985.de5.net}}}
  - {name: ca 2, server: 104.16.65.1, port: 443, type: trojan, password: e7db700c-d6b5-4321-99cb-a343a7660f71, sni: trojan.1985.de5.net, network: ws, ws-opts: {path: "/?ed=2560&PROXYIP=91.149.239.64:443", headers: {Host: trojan.1985.de5.net}}}
  - {name: ca 3, server: 104.17.162.3, port: 443, type: trojan, password: e7db700c-d6b5-4321-99cb-a343a7660f71, sni: trojan.1985.de5.net, network: ws, ws-opts: {path: "/?ed=2560&PROXYIP=91.149.239.64:443", headers: {Host: trojan.1985.de5.net}}}
  - {name: ca 4, server: 104.17.167.134, port: 443, type: trojan, password: e7db700c-d6b5-4321-99cb-a343a7660f71, sni: trojan.1985.de5.net, network: ws, ws-opts: {path: "/?ed=2560&PROXYIP=91.149.239.64:443", headers: {Host: trojan.1985.de5.net}}}
  - {name: ca 5, server: 104.17.202.10, port: 443, type: trojan, password: e7db700c-d6b5-4321-99cb-a343a7660f71, sni: trojan.1985.de5.net, network: ws, ws-opts: {path: "/?ed=2560&PROXYIP=91.149.239.64:443", headers: {Host: trojan.1985.de5.net}}}
  - {name: ca 6, server: 104.17.237.219, port: 443, type: trojan, password: e7db700c-d6b5-4321-99cb-a343a7660f71, sni: trojan.1985.de5.net, network: ws, ws-opts: {path: "/?ed=2560&PROXYIP=91.149.239.64:443", headers: {Host: trojan.1985.de5.net}}}
  - {name: ca 7, server: 104.18.42.163, port: 2096, type: trojan, password: e7db700c-d6b5-4321-99cb-a343a7660f71, sni: trojan.1985.de5.net, network: ws, ws-opts: {path: "/?ed=2560&PROXYIP=91.149.239.64:443", headers: {Host: trojan.1985.de5.net}}}
  - {name: ca 8, server: 104.19.212.207, port: 443, type: trojan, password: e7db700c-d6b5-4321-99cb-a343a7660f71, sni: trojan.1985.de5.net, network: ws, ws-opts: {path: "/?ed=2560&PROXYIP=91.149.239.64:443", headers: {Host: trojan.1985.de5.net}}}
  - {name: ca 9, server: 104.19.49.192, port: 443, type: trojan, password: e7db700c-d6b5-4321-99cb-a343a7660f71, sni: trojan.1985.de5.net, network: ws, ws-opts: {path: "/?ed=2560&PROXYIP=91.149.239.64:443", headers: {Host: trojan.1985.de5.net}}}
  - {name: ca 10, server: 172.64.145.93, port: 2096, type: trojan, password: e7db700c-d6b5-4321-99cb-a343a7660f71, sni: trojan.1985.de5.net, network: ws, ws-opts: {path: "/?ed=2560&PROXYIP=91.149.239.64:443", headers: {Host: trojan.1985.de5.net}}}
  - {name: ca 11, server: 172.64.229.11, port: 443, type: trojan, password: e7db700c-d6b5-4321-99cb-a343a7660f71, sni: trojan.1985.de5.net, network: ws, ws-opts: {path: "/?ed=2560&PROXYIP=91.149.239.64:443", headers: {Host: trojan.1985.de5.net}}}
  - {name: ca 12, server: 172.64.229.131, port: 443, type: trojan, password: e7db700c-d6b5-4321-99cb-a343a7660f71, sni: trojan.1985.de5.net, network: ws, ws-opts: {path: "/?ed=2560&PROXYIP=91.149.239.64:443", headers: {Host: trojan.1985.de5.net}}}
  - {name: ca 13, server: 172.64.229.137, port: 443, type: trojan, password: e7db700c-d6b5-4321-99cb-a343a7660f71, sni: trojan.1985.de5.net, network: ws, ws-opts: {path: "/?ed=2560&PROXYIP=91.149.239.64:443", headers: {Host: trojan.1985.de5.net}}}
  - {name: ca 14, server: 172.64.229.177, port: 443, type: trojan, password: e7db700c-d6b5-4321-99cb-a343a7660f71, sni: trojan.1985.de5.net, network: ws, ws-opts: {path: "/?ed=2560&PROXYIP=91.149.239.64:443", headers: {Host: trojan.1985.de5.net}}}
  - {name: ca 15, server: 172.64.229.205, port: 443, type: trojan, password: e7db700c-d6b5-4321-99cb-a343a7660f71, sni: trojan.1985.de5.net, network: ws, ws-opts: {path: "/?ed=2560&PROXYIP=91.149.239.64:443", headers: {Host: trojan.1985.de5.net}}}
  - {name: ca_1 2, server: 172.64.229.21, port: 443, type: trojan, password: e7db700c-d6b5-4321-99cb-a343a7660f71, sni: trojan.1985.de5.net, network: ws, ws-opts: {path: "/?ed=2560&PROXYIP=91.149.239.64:443", headers: {Host: trojan.1985.de5.net}}}
  - {name: ca 16, server: 172.64.229.27, port: 443, type: trojan, password: e7db700c-d6b5-4321-99cb-a343a7660f71, sni: trojan.1985.de5.net, network: ws, ws-opts: {path: "/?ed=2560&PROXYIP=91.149.239.64:443", headers: {Host: trojan.1985.de5.net}}}
  - {name: ca_1 3, server: 172.64.229.33, port: 443, type: trojan, password: e7db700c-d6b5-4321-99cb-a343a7660f71, sni: trojan.1985.de5.net, network: ws, ws-opts: {path: "/?ed=2560&PROXYIP=91.149.239.64:443", headers: {Host: trojan.1985.de5.net}}}
  - {name: ca 17, server: 172.64.229.43, port: 443, type: trojan, password: e7db700c-d6b5-4321-99cb-a343a7660f71, sni: trojan.1985.de5.net, network: ws, ws-opts: {path: "/?ed=2560&PROXYIP=91.149.239.64:443", headers: {Host: trojan.1985.de5.net}}}
  - {name: ca 18, server: 172.64.229.44, port: 443, type: trojan, password: e7db700c-d6b5-4321-99cb-a343a7660f71, sni: trojan.1985.de5.net, network: ws, ws-opts: {path: "/?ed=2560&PROXYIP=91.149.239.64:443", headers: {Host: trojan.1985.de5.net}}}
  - {name: ca 19, server: 172.64.229.47, port: 443, type: trojan, password: e7db700c-d6b5-4321-99cb-a343a7660f71, sni: trojan.1985.de5.net, network: ws, ws-opts: {path: "/?ed=2560&PROXYIP=91.149.239.64:443", headers: {Host: trojan.1985.de5.net}}}
  - {name: ca_1 4, server: 172.64.229.69, port: 443, type: trojan, password: e7db700c-d6b5-4321-99cb-a343a7660f71, sni: trojan.1985.de5.net, network: ws, ws-opts: {path: "/?ed=2560&PROXYIP=91.149.239.64:443", headers: {Host: trojan.1985.de5.net}}}
  - {name: ca 20, server: 172.64.229.72, port: 443, type: trojan, password: e7db700c-d6b5-4321-99cb-a343a7660f71, sni: trojan.1985.de5.net, network: ws, ws-opts: {path: "/?ed=2560&PROXYIP=91.149.239.64:443", headers: {Host: trojan.1985.de5.net}}}
  - {name: ca 21, server: 198.41.208.234, port: 443, type: trojan, password: e7db700c-d6b5-4321-99cb-a343a7660f71, sni: trojan.1985.de5.net, network: ws, ws-opts: {path: "/?ed=2560&PROXYIP=91.149.239.64:443", headers: {Host: trojan.1985.de5.net}}}
proxy-groups:
  - name: 手动切换
    type: select
    proxies:
      - hk_NiREvil_2_1
      - hk_NiREvil_1
      - hk_NiREvil
      - hk_Exball
      - hk_Exball 2
      - hk_Exball_1
      - hk_Exball 3
      - hk_Exball 4
      - hk_Exball 5
      - jp_NiREvil_1
      - jp_NiREvil_1 2
      - jp_NiREvil
      - jp_NiREvil 2
      - jp_NiREvil 3
      - jp_NiREvil 4
      - jp_NiREvil 5
      - jp_Exball
      - jp_Exball 2
      - jp_Exball 3
      - jp_Exball 4
      - jp_Exball 5
      - kr_NiREvil
      - kr_NiREvil 2
      - kr_NiREvil 3
      - kr_NiREvil 4
      - kr_NiREvil 5
      - kr_NiREvil 6
      - sg_NiREvil_3
      - sg_NiREvil
      - sg_NiREvil 2
      - sg_NiREvil_1
      - sg_NiREvil 3
      - sg_NiREvil 4
      - sg_NiREvil 5
      - sg_Exball
      - sg_Exball 2
      - sg_Exball 3
      - us_NiREvil_1
      - us_NiREvil_1 2
      - us_NiREvil_1 3
      - us_NiREvil
      - us_NiREvil 2
      - us_NiREvil 3
      - us_NiREvil 4
      - us_NiREvil 5
      - us_NiREvil 6
      - us_NiREvil 7
      - us_NiREvil 8
      - us_NiREvil 9
      - us_NiREvil 10
      - us_NiREvil_84
      - us_NiREvil 11
      - us_NiREvil 12
      - us_NiREvil 13
      - us_NiREvil 14
      - us_NiREvil_1 4
      - us_Exball
      - ca_NiREvil
      - ca_NiREvil 2
      - ca
      - ca_1
      - ca 2
      - ca 3
      - ca 4
      - ca 5
      - ca 6
      - ca 7
      - ca 8
      - ca 9
      - ca 10
      - ca 11
      - ca 12
      - ca 13
      - ca 14
      - ca 15
      - ca_1 2
      - ca 16
      - ca_1 3
      - ca 17
      - ca 18
      - ca 19
      - ca_1 4
      - ca 20
      - ca 21
  - name: CN
    type: select
    proxies:
      - hk_NiREvil_2_1
      - hk_NiREvil_1
      - hk_NiREvil
      - hk_Exball
      - hk_Exball 2
      - hk_Exball_1
      - hk_Exball 3
      - hk_Exball 4
      - hk_Exball 5
  - name: KR
    type: select
    proxies:
      - kr_NiREvil
      - kr_NiREvil 2
      - kr_NiREvil 3
      - kr_NiREvil 4
      - kr_NiREvil 5
      - kr_NiREvil 6
  - name: JP
    type: select
    proxies:
      - jp_NiREvil_1
      - jp_NiREvil_1 2
      - jp_NiREvil
      - jp_NiREvil 2
      - jp_NiREvil 3
      - jp_NiREvil 4
      - jp_NiREvil 5
      - jp_Exball
      - jp_Exball 2
      - jp_Exball 3
      - jp_Exball 4
      - jp_Exball 5
  - name: SG
    type: select
    proxies:
      - sg_NiREvil_3
      - sg_NiREvil
      - sg_NiREvil 2
      - sg_NiREvil_1
      - sg_NiREvil 3
      - sg_NiREvil 4
      - sg_NiREvil 5
      - sg_Exball
      - sg_Exball 2
      - sg_Exball 3
  - name: US
    type: select
    proxies:
      - us_NiREvil_1
      - us_NiREvil_1 2
      - us_NiREvil_1 3
      - us_NiREvil
      - us_NiREvil 2
      - us_NiREvil 3
      - us_NiREvil 4
      - us_NiREvil 5
      - us_NiREvil 6
      - us_NiREvil 7
      - us_NiREvil 8
      - us_NiREvil 9
      - us_NiREvil 10
      - us_NiREvil_84
      - us_NiREvil 11
      - us_NiREvil 12
      - us_NiREvil 13
      - us_NiREvil 14
      - us_NiREvil_1 4
      - us_Exball
  - name: CA
    type: select
    proxies:
      - ca_NiREvil
      - ca_NiREvil 2
      - ca
      - ca_1
      - ca 2
      - ca 3
      - ca 4
      - ca 5
      - ca 6
      - ca 7
      - ca 8
      - ca 9
      - ca 10
      - ca 11
      - ca 12
      - ca 13
      - ca 14
      - ca 15
      - ca_1 2
      - ca 16
      - ca_1 3
      - ca 17
      - ca 18
      - ca 19
      - ca_1 4
      - ca 20
      - ca 21
  - name: other
    type: select
    proxies:
      - DIRECT
  - name: 自动选择
    type: url-test
    url: http://www.gstatic.com/generate_204
    interval: 300
    tolerance: 50
    proxies:
      - hk_NiREvil_2_1
      - hk_NiREvil_1
      - hk_NiREvil
      - hk_Exball
      - hk_Exball 2
      - hk_Exball_1
      - hk_Exball 3
      - hk_Exball 4
      - hk_Exball 5
      - jp_NiREvil_1
      - jp_NiREvil_1 2
      - jp_NiREvil
      - jp_NiREvil 2
      - jp_NiREvil 3
      - jp_NiREvil 4
      - jp_NiREvil 5
      - jp_Exball
      - jp_Exball 2
      - jp_Exball 3
      - jp_Exball 4
      - jp_Exball 5
      - kr_NiREvil
      - kr_NiREvil 2
      - kr_NiREvil 3
      - kr_NiREvil 4
      - kr_NiREvil 5
      - kr_NiREvil 6
      - sg_NiREvil_3
      - sg_NiREvil
      - sg_NiREvil 2
      - sg_NiREvil_1
      - sg_NiREvil 3
      - sg_NiREvil 4
      - sg_NiREvil 5
      - sg_Exball
      - sg_Exball 2
      - sg_Exball 3
      - us_NiREvil_1
      - us_NiREvil_1 2
      - us_NiREvil_1 3
      - us_NiREvil
      - us_NiREvil 2
      - us_NiREvil 3
      - us_NiREvil 4
      - us_NiREvil 5
      - us_NiREvil 6
      - us_NiREvil 7
      - us_NiREvil 8
      - us_NiREvil 9
      - us_NiREvil 10
      - us_NiREvil_84
      - us_NiREvil 11
      - us_NiREvil 12
      - us_NiREvil 13
      - us_NiREvil 14
      - us_NiREvil_1 4
      - us_Exball
      - ca_NiREvil
      - ca_NiREvil 2
      - ca
      - ca_1
      - ca 2
      - ca 3
      - ca 4
      - ca 5
      - ca 6
      - ca 7
      - ca 8
      - ca 9
      - ca 10
      - ca 11
      - ca 12
      - ca 13
      - ca 14
      - ca 15
      - ca_1 2
      - ca 16
      - ca_1 3
      - ca 17
      - ca 18
      - ca 19
      - ca_1 4
      - ca 20
      - ca 21
  - name: 负载均衡
    type: load-balance
    strategy: consistent-hashing
    url: https://www.google.com/favicon.ico
    interval: 300
    tolerance: 50
    proxies:
      - hk_NiREvil_2_1
      - hk_NiREvil_1
      - hk_NiREvil
      - hk_Exball
      - hk_Exball 2
      - hk_Exball_1
      - hk_Exball 3
      - hk_Exball 4
      - hk_Exball 5
      - jp_NiREvil_1
      - jp_NiREvil_1 2
      - jp_NiREvil
      - jp_NiREvil 2
      - jp_NiREvil 3
      - jp_NiREvil 4
      - jp_NiREvil 5
      - jp_Exball
      - jp_Exball 2
      - jp_Exball 3
      - jp_Exball 4
      - jp_Exball 5
      - kr_NiREvil
      - kr_NiREvil 2
      - kr_NiREvil 3
      - kr_NiREvil 4
      - kr_NiREvil 5
      - kr_NiREvil 6
      - sg_NiREvil_3
      - sg_NiREvil
      - sg_NiREvil 2
      - sg_NiREvil_1
      - sg_NiREvil 3
      - sg_NiREvil 4
      - sg_NiREvil 5
      - sg_Exball
      - sg_Exball 2
      - sg_Exball 3
      - us_NiREvil_1
      - us_NiREvil_1 2
      - us_NiREvil_1 3
      - us_NiREvil
      - us_NiREvil 2
      - us_NiREvil 3
      - us_NiREvil 4
      - us_NiREvil 5
      - us_NiREvil 6
      - us_NiREvil 7
      - us_NiREvil 8
      - us_NiREvil 9
      - us_NiREvil 10
      - us_NiREvil_84
      - us_NiREvil 11
      - us_NiREvil 12
      - us_NiREvil 13
      - us_NiREvil 14
      - us_NiREvil_1 4
      - us_Exball
      - ca_NiREvil
      - ca_NiREvil 2
      - ca
      - ca_1
      - ca 2
      - ca 3
      - ca 4
      - ca 5
      - ca 6
      - ca 7
      - ca 8
      - ca 9
      - ca 10
      - ca 11
      - ca 12
      - ca 13
      - ca 14
      - ca 15
      - ca_1 2
      - ca 16
      - ca_1 3
      - ca 17
      - ca 18
      - ca 19
      - ca_1 4
      - ca 20
      - ca 21
rules:
  - IP-CIDR,223.16.138.113/32,DIRECT,no-resolve
  - IP-CIDR,118.141.64.192/32,DIRECT,no-resolve
  - IP-CIDR,210.3.159.133/32,DIRECT,no-resolve
  - IP-CIDR,8.217.141.15/32,DIRECT,no-resolve
  - IP-CIDR,156.255.89.234/32,DIRECT,no-resolve
  - IP-CIDR,159.138.52.204/32,DIRECT,no-resolve
  - IP-CIDR,83.229.123.194/32,DIRECT,no-resolve
  - IP-CIDR,43.135.30.215/32,DIRECT,no-resolve
  - IP-CIDR,38.207.132.101/32,DIRECT,no-resolve
  - IP-CIDR,185.18.222.208/32,DIRECT,no-resolve
  - IP-CIDR,109.123.231.212/32,DIRECT,no-resolve
  - IP-CIDR,158.101.77.33/32,DIRECT,no-resolve
  - IP-CIDR,8.216.121.234/32,DIRECT,no-resolve
  - IP-CIDR,158.101.80.84/32,DIRECT,no-resolve
  - IP-CIDR,23.106.132.54/32,DIRECT,no-resolve
  - IP-CIDR,138.2.12.103/32,DIRECT,no-resolve
  - IP-CIDR,172.104.110.10/32,DIRECT,no-resolve
  - IP-CIDR,47.79.94.154/32,DIRECT,no-resolve
  - IP-CIDR,192.243.127.224/32,DIRECT,no-resolve
  - IP-CIDR,141.147.170.245/32,DIRECT,no-resolve
  - IP-CIDR,168.138.203.197/32,DIRECT,no-resolve
  - IP-CIDR,39.116.217.120/32,DIRECT,no-resolve
  - IP-CIDR,150.109.236.191/32,DIRECT,no-resolve
  - IP-CIDR,211.197.161.123/32,DIRECT,no-resolve
  - IP-CIDR,112.184.94.152/32,DIRECT,no-resolve
  - IP-CIDR,221.161.207.216/32,DIRECT,no-resolve
  - IP-CIDR,106.245.165.137/32,DIRECT,no-resolve
  - IP-CIDR,152.42.236.151/32,DIRECT,no-resolve
  - IP-CIDR,104.43.91.69/32,DIRECT,no-resolve
  - IP-CIDR,139.180.159.133/32,DIRECT,no-resolve
  - IP-CIDR,8.222.220.81/32,DIRECT,no-resolve
  - IP-CIDR,139.162.4.242/32,DIRECT,no-resolve
  - IP-CIDR,20.247.137.183/32,DIRECT,no-resolve
  - IP-CIDR,167.71.198.82/32,DIRECT,no-resolve
  - IP-CIDR,47.237.31.198/32,DIRECT,no-resolve
  - IP-CIDR,8.219.243.83/32,DIRECT,no-resolve
  - IP-CIDR,129.150.50.144/32,DIRECT,no-resolve
  - IP-CIDR,72.18.83.132/32,DIRECT,no-resolve
  - IP-CIDR,45.156.24.61/32,DIRECT,no-resolve
  - IP-CIDR,45.32.131.28/32,DIRECT,no-resolve
  - IP-CIDR,104.42.105.148/32,DIRECT,no-resolve
  - IP-CIDR,74.48.136.105/32,DIRECT,no-resolve
  - IP-CIDR,148.135.118.112/32,DIRECT,no-resolve
  - IP-CIDR,154.9.227.100/32,DIRECT,no-resolve
  - IP-CIDR,192.227.237.81/32,DIRECT,no-resolve
  - IP-CIDR,144.34.230.39/32,DIRECT,no-resolve
  - IP-CIDR,104.225.153.70/32,DIRECT,no-resolve
  - IP-CIDR,104.224.181.22/32,DIRECT,no-resolve
  - IP-CIDR,91.236.230.237/32,DIRECT,no-resolve
  - IP-CIDR,65.49.210.99/32,DIRECT,no-resolve
  - IP-CIDR,142.171.220.62/32,DIRECT,no-resolve
  - IP-CIDR,154.40.46.28/32,DIRECT,no-resolve
  - IP-CIDR,154.21.90.8/32,DIRECT,no-resolve
  - IP-CIDR,65.49.192.12/32,DIRECT,no-resolve
  - IP-CIDR,65.49.216.135/32,DIRECT,no-resolve
  - IP-CIDR,152.70.143.175/32,DIRECT,no-resolve
  - IP-CIDR,142.171.85.230/32,DIRECT,no-resolve
  - IP-CIDR,89.251.9.5/32,DIRECT,no-resolve
  - IP-CIDR,185.36.228.14/32,DIRECT,no-resolve
  - IP-CIDR,104.16.245.77/32,DIRECT,no-resolve
  - IP-CIDR,104.16.246.188/32,DIRECT,no-resolve
  - IP-CIDR,104.16.65.1/32,DIRECT,no-resolve
  - IP-CIDR,104.17.162.3/32,DIRECT,no-resolve
  - IP-CIDR,104.17.167.134/32,DIRECT,no-resolve
  - IP-CIDR,104.17.202.10/32,DIRECT,no-resolve
  - IP-CIDR,104.17.237.219/32,DIRECT,no-resolve
  - IP-CIDR,104.18.42.163/32,DIRECT,no-resolve
  - IP-CIDR,104.19.212.207/32,DIRECT,no-resolve
  - IP-CIDR,104.19.49.192/32,DIRECT,no-resolve
  - IP-CIDR,172.64.145.93/32,DIRECT,no-resolve
  - IP-CIDR,172.64.229.11/32,DIRECT,no-resolve
  - IP-CIDR,172.64.229.131/32,DIRECT,no-resolve
  - IP-CIDR,172.64.229.137/32,DIRECT,no-resolve
  - IP-CIDR,172.64.229.177/32,DIRECT,no-resolve
  - IP-CIDR,172.64.229.205/32,DIRECT,no-resolve
  - IP-CIDR,172.64.229.21/32,DIRECT,no-resolve
  - IP-CIDR,172.64.229.27/32,DIRECT,no-resolve
  - IP-CIDR,172.64.229.33/32,DIRECT,no-resolve
  - IP-CIDR,172.64.229.43/32,DIRECT,no-resolve
  - IP-CIDR,172.64.229.44/32,DIRECT,no-resolve
  - IP-CIDR,172.64.229.47/32,DIRECT,no-resolve
  - IP-CIDR,172.64.229.69/32,DIRECT,no-resolve
  - IP-CIDR,172.64.229.72/32,DIRECT,no-resolve
  - IP-CIDR,198.41.208.234/32,DIRECT,no-resolve
  - MATCH,手动切换
